#include <amxmodx>   
#include <fakemeta>   

#include "war3ft/natives.h"   
  
#define PLUGIN "CSSB WAR3FT RACE KNIFE"   
#define VERSION "1.0"   
#define AUTHOR "CSSB"   
  
static const vMdlKnife_1[] = "models/war3ftknife/raceknife/v_knife_undead.mdl" //раса Нежить  
static const vMdlKnife_2[] = "models/war3ftknife/raceknife/v_knife_human.mdl" //раса Человек  
static const vMdlKnife_3[] = "models/war3ftknife/raceknife/v_knife_orc.mdl" //раса Орк   
static const vMdlKnife_4[] = "models/war3ftknife/raceknife/v_knife_elf.mdl" //раса Эльф  
static const vMdlKnife_5[] = "models/war3ftknife/raceknife/v_knife_blood.mdl" //раса Маг  
static const vMdlKnife_6[] = "models/war3ftknife/raceknife/v_knife_shadow.mdl" //раса Охотник  
static const vMdlKnife_7[] = "models/war3ftknife/raceknife/v_knife_warden.mdl" //раса Шпион  
static const vMdlKnife_8[] = "models/war3ftknife/raceknife/v_knife_crypt.mdl" //раса Лорд  
static const vMdlKnife_9[] = "models/war3ftknife/raceknife/v_knife_chameleon.mdl" //раса Полиморф  
static const vMdlKnife_10[] = "models/war3ftknife/raceknife/v_knife_frostmage.mdl" //раса Ледяной маг  
  
#define RACE_UNDEAD    1    //раса Нежить   
#define RACE_HUMAN   2    //раса Человек  
#define RACE_ORC    3    //раса Орк   
#define RACE_ELF   4    //раса Эльф  
#define RACE_BLOOD   5    //раса Маг  
#define RACE_SHADOW    6    //раса Охотник  
#define RACE_WARDEN    7    //раса Шпион  
#define RACE_CRYPT    8    //раса Лорд  
#define RACE_CHAMELEON   9    //раса Полиморф  
#define RACE_FROST_MAGE    10   //раса Ледяной маг  
  
public plugin_init()   
{   
	register_plugin(PLUGIN, VERSION, AUTHOR);   

	register_event("CurWeapon", "Event_CurWeapon", "be","1=1")
	register_forward(FM_SetModel, "fw_SetModel")
}   
  
public plugin_precache()   
{   
  precache_model(vMdlKnife_1);   
  precache_model(vMdlKnife_2);     
  precache_model(vMdlKnife_3);  
  precache_model(vMdlKnife_4);  
  precache_model(vMdlKnife_5);  
  precache_model(vMdlKnife_6);  
  precache_model(vMdlKnife_7);  
  precache_model(vMdlKnife_8);  
  precache_model(vMdlKnife_9);  
  precache_model(vMdlKnife_10);  
}   

public Event_CurWeapon(idUser) 
{     
	new weaponID = read_data(2) 

	if(weaponID != CSW_KNIFE)
		return PLUGIN_CONTINUE

	if(cssbGetIdRace(idUser) == RACE_UNDEAD)     
		fSetModelKnife_1(idUser);   

	if(cssbGetIdRace(idUser) == RACE_HUMAN)     
		fSetModelKnife_2(idUser);   

	if(cssbGetIdRace(idUser) == RACE_ORC)     
		fSetModelKnife_3(idUser);   

	if(cssbGetIdRace(idUser) == RACE_ELF)     
		fSetModelKnife_4(idUser);   

	if(cssbGetIdRace(idUser) == RACE_BLOOD)     
		fSetModelKnife_5(idUser);   

	if(cssbGetIdRace(idUser) == RACE_SHADOW)     
		fSetModelKnife_6(idUser);   

	if(cssbGetIdRace(idUser) == RACE_WARDEN)     
		fSetModelKnife_7(idUser);   

	if(cssbGetIdRace(idUser) == RACE_CRYPT)     
		fSetModelKnife_8(idUser);   

	if(cssbGetIdRace(idUser) == RACE_CHAMELEON)     
		fSetModelKnife_9(idUser);   

	if(cssbGetIdRace(idUser) == RACE_FROST_MAGE)     
		fSetModelKnife_10(idUser);

	return PLUGIN_CONTINUE 
}


 fSetModelKnife_1(idUser)  
{   
  set_pev(idUser, pev_viewmodel2, vMdlKnife_1);  
}  
  
  fSetModelKnife_2(idUser)  
{   
  set_pev(idUser, pev_viewmodel2, vMdlKnife_2);  
}  
  
  fSetModelKnife_3(idUser)  
{   
  set_pev(idUser, pev_viewmodel2, vMdlKnife_3);  
}  
  
  fSetModelKnife_4(idUser)  
{   
  set_pev(idUser, pev_viewmodel2, vMdlKnife_4);  
}  
  
  fSetModelKnife_5(idUser)  
{   
  set_pev(idUser, pev_viewmodel2, vMdlKnife_5);  
}  
  
  fSetModelKnife_6(idUser)  
{   
  set_pev(idUser, pev_viewmodel2, vMdlKnife_6);  
}  
  
  fSetModelKnife_7(idUser)  
{   
  set_pev(idUser, pev_viewmodel2, vMdlKnife_7);  
}  
  
  fSetModelKnife_8(idUser)  
{   
  set_pev(idUser, pev_viewmodel2, vMdlKnife_8);  
}  
  
  fSetModelKnife_9(idUser)  
{   
  set_pev(idUser, pev_viewmodel2, vMdlKnife_9);  
}  
  
  fSetModelKnife_10(idUser)  
{   
  set_pev(idUser, pev_viewmodel2, vMdlKnife_10);  
}